> For the complete documentation index, see [llms.txt](https://docs.ont.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ont.io/developer-tools/api/http-api.md).

# HTTP API

The HTTP API serves as the mode of communication between nodes and `dApps`. It can be used to query important information from the blockchain.

HTTP API can be used while testing smart contract logic to find out the blockchain status and other relevant information.

It encapsulates three interfaces that are a part of the HTTP API, and can be regarded as being API in themselves:

1. **Restful**&#x20;
2. **RPC**
3. **Websocket**

The ports that the above APIs use are as follows:

|    API    |  Port |
| :-------: | :---: |
|  Restful  | 20334 |
| Websocket | 20335 |
|    RPC    | 20336 |

The following sections describe each of the APIs and the respective methods in detail.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ont.io/developer-tools/api/http-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
